# List all transfers

**GET** `/transfers`

List all transfers across all transfer types under your platform.

### Query Parameters

- `account_number` `string` — Filter by account number
- `account_number_id` `string` — Filter by account number ID (matches either sender or receiver)
- `ach_type` `string` — Filter by ACH transfer type
- `amount` `number` — Filter by exact amount (in smallest currency unit)
- `amount_gt` `number` — Filter by amount greater than this value
- `amount_gte` `number` — Filter by amount greater than or equal to this value
- `amount_lt` `number` — Filter by amount less than this value
- `amount_lte` `number` — Filter by amount less than or equal to this value
- `bank_account_id` `string` — Filter by bank account ID (matches either sender or receiver)
- `counterparty_id` `string` — Filter by counterparty ID
- `created_at_gt` `date-time` — Filter by `created_at` after this timestamp
- `created_at_gte` `date-time` — Filter by `created_at` at or after this timestamp
- `created_at_lt` `date-time` — Filter by `created_at` before this timestamp
- `created_at_lte` `date-time` — Filter by `created_at` at or before this timestamp
- `description` `string` — Filter by transfer description
- `ending_before` `string` — Cursor for backward pagination. Provide the ID of the first item in the previous page.
- `is_incoming` `boolean` — Filter by whether the transfer is incoming
- `limit` `integer` — Maximum number of results to return (1-100)
- `receiver_account_number_id` `string` — Filter by the receiver account number ID
- `receiver_bank_account_id` `string` — Filter by the receiver bank account ID
- `routing_number` `string` — Filter by routing number
- `sender_account_number_id` `string` — Filter by the sender account number ID
- `sender_bank_account_id` `string` — Filter by the sender bank account ID
- `sort_by` `string` — Field to sort results by
- `sort_order` `string` — Sort order (asc or desc)
- `starting_after` `string` — Cursor for forward pagination. Provide the ID of the last item in the previous page.
- `status` `string` — Filter by transfer status
- `transfer_batch_id` `string` — Filter by transfer batch ID
- `transfer_id` `string` — Filter by a specific transfer ID
- `type` `string` — Filter by transfer type (e.g., ach, wire, book, realtime, check, swift)

**Request**

```shell
curl 'https://api.column.com/transfers' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "id": "",
      "created_at": "2021-11-29T21:16:16.779Z",
      "updated_at": "2021-11-29T21:16:16.779Z",
      "completed_at": "2021-11-29T21:16:16.779Z",
      "status": "",
      "type": "",
      "amount": 0,
      "currency_code": "",
      "is_incoming": true,
      "idempotency_key": "",
      "description": "",
      "sender_internal_account": {
        "bank_account_id": "",
        "account_number_id": ""
      },
      "external_source": {
        "bank_name": "",
        "sender_name": "",
        "counterparty_id": ""
      },
      "receiver_internal_account": {
        "bank_account_id": "",
        "account_number_id": ""
      },
      "external_destination": {
        "counterparty_id": ""
      }
    }
  ],
  "has_more": true,
  "total_results_count": 100
}
```
